// Test.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include <stdio.h>
#include "recodespeckle.c"

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{ 	

	// Load dynamically the library
	LoadDespeckleLibrary();

	// Init the session
	int Session= DESPECKLE_Init("demo", "demo");

	long hBitmap;

	// Check if a DIB is available in clipboard
	bool bAvail= IsClipboardFormatAvailable(CF_DIB);

	hBitmap = 0;



	if (bAvail)
	{

   		// Open the Clipboard
 		::OpenClipboard(NULL);
		
		// Retrieve the DIB from clipboard 
		hBitmap = (long) GetClipboardData(CF_DIB);

	
		// Find and removes points of speckle
		long RemovedPoints= DESPECKLE_RemovePoints(Session, (long) hBitmap, 4, 4);

		::EmptyClipboard();

		// Set the cleaned DIB to clipboard
        SetClipboardData(CF_DIB, (void*)hBitmap);

		// Close the Clipboard	
		::CloseClipboard();

		char  buffer[200];

		// Format the output message
        if (RemovedPoints!=0)

			sprintf( buffer, "Removed %d points ! You can paste in your application...", RemovedPoints);

		else

            sprintf( buffer, "Image don't need to be cleaned !");


     	// Show the result
		MessageBox(NULL, buffer, "RESULT", MB_OK);
		

	}
	// Show an error message
	else MessageBox(NULL, "Unable to paste DIB", "ERROR", MB_OK);

	
	// Close the session
	DESPECKLE_Done(Session);

	// Unload the library	
	FreeDespeckleLibrary();

	return 0;
}



