// ************************************************
// *  Despeckle Interface DLL 32 Bits functions   *
// *  Library Version 1.1                         *
// *  Copyright 2000,02 - All rigths reserved     *
// *  RECOGNIFORM TECHNOLGIES SPA                 *
// *  www.recogniform.com - info@recogniform.com  *
// ************************************************

//  Goal: initialize the engine
//  Requires: company name, license string
//  Result: session handle
typedef long (__stdcall *DESPECKLE_INIT) (char*, char*);
DESPECKLE_INIT DESPECKLE_Init;

//  Goal: deinitialize the engine
//  Requires: session handle,
//  Result: n/a
typedef void (__stdcall*DESPECKLE_DONE) (long);
DESPECKLE_DONE DESPECKLE_Done;

//  Goal: remove speckle points
//  Requires: session handle, dib handle, max point size
//  Result: number of removed points
typedef long (__stdcall *DESPECKLE_REMOVEPOINTS) (long, long, long, long);
DESPECKLE_REMOVEPOINTS DESPECKLE_RemovePoints;

// DESPECKLE Library handle
HINSTANCE DESPECKLELIB=NULL;


// Use this funciton to load dynamically the DESPECKLE library
// The function return -1 if the library is not found or 0 if all goes rigth

long LoadDespeckleLibrary()
{
DESPECKLELIB=LoadLibrary("RECODESPECKLE.DLL");
if(DESPECKLELIB == NULL)
 {
  MessageBox(NULL, "Unable to load RECODESPECKLE.DLL", "ERROR", MB_OK);
  return(-1);
 }
else
 {
 DESPECKLE_Init=(DESPECKLE_INIT)GetProcAddress(DESPECKLELIB,"DESPECKLE_Init");
 DESPECKLE_Done=(DESPECKLE_DONE)GetProcAddress(DESPECKLELIB,"DESPECKLE_Done");
 DESPECKLE_RemovePoints=(DESPECKLE_REMOVEPOINTS)GetProcAddress(DESPECKLELIB,"DESPECKLE_RemovePoints");
 return(0);
 }
}


// Use this funciton to unload the DESPECKLE library when you don't need it

void FreeDespeckleLibrary()
 {
 if (DESPECKLELIB != NULL)
  {
  FreeLibrary(DESPECKLELIB);
  DESPECKLELIB = NULL;
  }
 }


